Xerces-C++ 3.2.4

Public Member Functions | List of all members
SAXNotSupportedException Class Reference

`#include <xercesc/sax/SAXException.hpp>`

Inheritance diagram for SAXNotSupportedException:

## Public Member Functions
| SAXNotSupportedException (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| SAXNotSupportedException (const XMLCh *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException. More...
| SAXNotSupportedException (const char *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException. More...
| SAXNotSupportedException (const SAXException &toCopy)
| Copy constructor. More...
Public Member Functions inherited from SAXException
| SAXException (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Default constructor. More...
| SAXException (const XMLCh *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException. More...
| SAXException (const char *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException. More...
| SAXException (const SAXException &toCopy)
| Copy constructor. More...
virtual | ~SAXException ()
| Destructor. More...
SAXException & | operator= (const SAXException &toCopy)
| Assignment operator. More...
virtual const XMLCh * | getMessage () const
| Get the contents of the message. More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...
Protected Attributes inherited from SAXException
XMLCh * | fMsg
MemoryManager * | fMemoryManager

## Constructor & Destructor Documentation

## ◆ SAXNotSupportedException() [1/4]

SAXNotSupportedException::SAXNotSupportedException | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

## ◆ SAXNotSupportedException() [2/4]

SAXNotSupportedException::SAXNotSupportedException | ( | const XMLCh *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Create a new SAXException.

Parameters

  msg | The error or warning message.
  manager | Pointer to the memory manager to be used to allocate objects.

## ◆ SAXNotSupportedException() [3/4]

SAXNotSupportedException::SAXNotSupportedException | ( | const char *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Create a new SAXException.

Parameters

  msg | The error or warning message.
  manager | Pointer to the memory manager to be used to allocate objects.

## ◆ SAXNotSupportedException() [4/4]

SAXNotSupportedException::SAXNotSupportedException | ( | const SAXException & | toCopy | ) |

Copy constructor.

Parameters

  toCopy | The exception to be copy constructed

The documentation for this class was generated from the following file:

- SAXException.hpp